<template>
  <div id="login">
    <div class="field">
  <label class="label">Nom d'utilisateur</label>
  <div class="control">
    <input class="input" type="text" placeholder="Login" v-model="username">
  </div>
</div>
<div class="field">
<label class="label">Mot de passe</label>
<div class="control">
<input class="input" type="password" placeholder="Password" v-model="password">
</div>
</div>
<div class="field">
<div class="control" id="submit-ctn">
<button class="button is-link is-medium" @click="auth()" :disabled="isSubmitDisabled">Submit</button>
</div>
</div>
  <p v-if="authedProfile==false">Ce compte et/ou ce mot de passe n'est pas reconnu</p>
</div>
</template>
<script>
import { mapState,mapActions } from 'vuex'
export default {
  name: 'Login',
  data () {
    return {
    username: null,
    password: null,
   }
 },
 computed: {
   ...mapState('profile',['authedProfile']),
   isSubmitDisabled () { return this.username=='' || !this.username || this.password=='' || !this.password }
 },
 methods: {
   ...mapActions('profile',['authProfile']),
   auth () {
     const credentials = {
       username: this.username,
       password: this.password
     }
     this.authProfile(credentials)
   }
 }
}
</script>
<style>
#login {
  margin: auto;
  width: 70%;
}
#submit-ctn{
  text-align: center;
}
</style>
